this.name        = "Hyperdrives_Speed"; 
this.author      = "Redspear"; 
this.copyright   = "2016 Redspear";
this.licence     = "CC BY-NC-SA 4.0"; 
this.description = "Variable hyperdrives and jump ranges for player ships"; 
this.version     = "0.3";

"use strict";

// determine duration of player ship hyperspace countdown

this.startUp = this.playerBoughtNewShip = function()
{
	//'very large' ships defined as follows		
	if (player.ship.dataKey == "anaconda-player")
		{player.ship.hyperspaceSpinTime = 30;}//these ships granted a base range of 4.5LY

	else
	//'large' ships defined as follows
	if (player.ship.dataKey == "python-player" || player.ship.dataKey == "boa-player" || player.ship.dataKey == "boa-mk2-player")
		{player.ship.hyperspaceSpinTime = 20;}//these ships granted a base range of 3.5LY
	
	else		
	//'medium' ships defined as follows
	if (player.ship.dataKey == "cobra3-player" || player.ship.dataKey == "constrictor-player")
		{player.ship.hyperspaceSpinTime = 15;}//these ships granted a base range of 2.5LY
		
	else	
	//'small' ships defined as follows
	if (player.ship.dataKey == "ferdelance-player" || player.ship.dataKey == "asp-player" || player.ship.dataKey == "cobramk1-player" || player.ship.dataKey == "moray-player" || player.ship.dataKey == "morayMED-player")
		{player.ship.hyperspaceSpinTime = 10;}
	
	else		
	//'very small' ships defined as follows
	if (player.ship.dataKey == "adder-player" || player.ship.dataKey == "viper-interceptor-player")
		{player.ship.hyperspaceSpinTime = 5;}
	
	else	
	//OXP ship size estimated as follows
	if (player.ship.cargoSpaceCapacity>150)
		{player.ship.hyperspaceSpinTime = 30;}		
	
	else
	if (player.ship.cargoSpaceCapacity>49)
		{player.ship.hyperspaceSpinTime = 20;}		
	
	else	
	if (player.ship.cargoSpaceCapacity>14)
		{player.ship.hyperspaceSpinTime = 15;}

	else	
	if (player.ship.cargoSpaceCapacity>0)
		{player.ship.hyperspaceSpinTime = 10;}

	else	
		{player.ship.hyperspaceSpinTime = 5;}		
}